w: from de.wikibooks doesn't lead to "central place" but to de:wikipedia
Closed, InvalidPublic

Assigned To
None
Priority
Normal
Author
bzimport
Commits
Unknown Object (Commit)
Unknown Object (Commit)
Unknown Object (Commit)
Subscribers
wikibugs-l
Projects
Reference
bz971
Security
None
Description

Author: bugzillas+padREMOVETHISdu

Description:
According to bug 953 comment 1, w:<whatever> should point to a central place,
possibly http://www.wikipedia.org/<whatever>, which would redirect to the
appropriate page depending on the contents of <whatever>.

Hence if <whatever> doesn't have any interwiki prefix, the link pointed to would
be in the English wikipedia.

This is partly confirmed by
http://de.wikipedia.org/w/wiki.phtml?title=Benutzer_Diskussion:Gangleri/tests/de_colon&diff=3473164&oldid=3453310
where the link [[w:Benutzer:Gangleri]] points to
http://en.wikipedia.org/wiki/Benutzer:Gangleri
(except that the "central place" isn't www.wikipedia but en.wikipedia, hardly
"central").

But in
http://de.wikibooks.org/w/wiki.phtml?title=Wikibooks:Spielwiese&oldid=10793 the
link [[w:foo]] points not to http://www.wikipedia.org/wiki/foo, not to
http://en.wikipedia.org/wiki/foo bu to http://de.wikipedia.org/wiki/foo.

So is this a bug, or is it expected that from any project, w: is expected to
lead to some project under wikipedia, but it cannot be guaranteed which project
would be led to?


Version: unspecified
Severity: normal
URL: http://de.wikibooks.org/w/wiki.phtml?title=Wikibooks:Spielwiese&oldid=10793

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz971.
bzimport created this task.Via LegacyDec 1 2004, 7:43 PM
bzimport added a comment.Via ConduitDec 14 2005, 4:05 PM

phillip.stewart wrote:

This is not a bug, w: links from projects other than Wikipedias, this should
link to the Wikipedia in the language of the project the link is from. So a w:
link on de.wikibooks should link to de.wikipedia.

epriestley added a commit: Unknown Object (Commit).Via DaemonsMar 4 2015, 8:14 AM
epriestley added a commit: Unknown Object (Commit).
Diffusion changed the task status from "Invalid" to "Resolved" by committing Unknown Object (Commit).Via DaemonsMar 4 2015, 8:20 AM
TTO changed the task status from "Resolved" to "Invalid".Via WebMar 4 2015, 9:27 AM
TTO set Security to None.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.